<h1>Contact-list Component</h1>
<button (click)="toggleMessage()">Toggle message</button>
<h3 *ngIf="printable">{{message}}</h3>
<p class="nhh-p">printable: {{printable}}</p>
<div>
  <button (click)="buttonTab(1)" class="btn" [ngClass]="{active: tab == 1}">Tab 1</button>
  <button (click)="buttonTab(2)" class="btn" [ngClass]="{active: tab == 2}">Tab 2</button>
  <button (click)="buttonTab(3)" class="btn" [ngClass]="{active: tab == 3}">Tab 3</button>
</div>
<div [ngSwitch]="tab">
  <div *ngSwitchCase="1">
    <div>
      Tab content 1
    </div>
    <p>
      Lorem ipsum dolor sit amet consectetur adipisicing elit. Non, vitae.
    </p>
  </div>
  <div *ngSwitchCase="2">
    <div>
      Tab content 2
    </div>
    <p>
      Lorem ipsum dolor sit amet consectetur adipisicing elit. Libero alias animi ea, voluptate maiores ab sit mollitia
      voluptatem dignissimos. Nulla.
    </p>
  </div>
  <div *ngSwitchCase="3">
    <div>
      Tab content 1
    </div>
    <p>
      Lorem ipsum dolor sit amet consectetur, adipisicing elit. Cum eius veniam et totam architecto reprehenderit in id
      aperiam, expedita quaerat similique at ut quasi earum iure. Dolore illo accusantium perspiciatis?
    </p>
  </div>
</div>
<button (click)="getContact()">Get Contact</button>
<div class="container">
  <div class="row">
    <div *ngFor="let contact of contacts; let i = index" class="col-6">
      <h3 class="font-italic">{{contact.name}}</h3>
      <app-contact-image-detail [contact]="contact"></app-contact-image-detail>
      <app-switches [(checked)]="contact.avatar.round"></app-switches>
    </div>
  </div>
</div>
